

*{
    margin: 0;
    box-sizing: border-box;
}

ul{
    list-style: none;
}

body{
    background-color: white;
    user-select: none;

}

header{
    width: 100%;
    padding: 10px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    animation: fadein 1s linear forwards;
    animation-delay: 1s;
    #logo{
        font-size: 48px;
        margin-left: 50px;
        color: white;
    }
    ul{
        display: flex;
        gap: 50px;
        margin-right: 50px;
        li{
            a{
                text-decoration: none;
                color: white;
                font-size: 20px;
                transition: .7s;
            }
            a:hover{
                color: lightgreen;
            }
        }
    }

}

@keyframes fadein {
    100%{
        opacity: 1;
        visibility: visible;
    }
}


main{
    display: flex;
    margin: 50px;
    justify-content: center;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    animation: fadein 1s linear forwards;
    animation-delay: 1.5s;

    .left_side{
        display: flex;
        flex-direction: column;
        gap: 20px;
        h1{
            color: white;
            font-size: 56px;
            font-weight: 900;
        }
        h2{
            color: white;
            font-size: 36px;
            display: inline-block;
            span{
                position: relative;
                color: transparent;
                display: inline-block;
                -webkit-text-stroke: .7px  #68D74F;
                animation: deletewords 12s linear infinite;
                animation-delay: calc(-4s * var(--i));
            }
            span::before{
                content: attr(data-text);
                position: absolute;
                border-right: 2px solid #68D74F;
                width: 0;
                color: #68D74F;
                overflow: hidden;
                white-space:nowrap;
                animation: fillwords 4s linear infinite;
            }
        }
        p{
            color: white;
            width: 80%;
        }
        #left_side__buttons_icons{
            display: flex;
            align-items: center;
            button{
                padding: 10px 20px;
                border-radius: 20px;
                border: none;
                font-size: 16px;
                background-color: #68D74F;
                color: #1E232F;
                font-weight: 500;
                outline: none;
                cursor: pointer;
                transition: .7s;
                box-shadow:0 0 10px  #68D74F ;
            }
            button:hover{
                border: 1px solid #68D74F;
                background-color: #1E232F;
                color: #68D74F;
            }
            a{
                margin-left: 10px;
                padding: 8px;
                border: .5px solid #68D74F;
                border-radius: 50%;
                transition: .7s;
                cursor: pointer;
                i{
                    font-size: 20px;
                    color: #68D74F;
                    transition: .7s;
                }
            } 
            a:hover{
                background-color: #68D74F;
                box-shadow:0 0 10px  #68D74F ;
                i{
                    color: #1E232F;
                }
            } 
        }   
    }
    .right_side{
        margin-right: 100px;
        div{
            position: relative;
            border-radius: 50%;
            overflow: hidden;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 5px;
            img{
            width: 400px;
            height: 400px;
            z-index: 100;
            border-radius: 50%;
        }
        }
        div::after,
        div::before{
            content: "";
            position: absolute;
            width: 500px;
            height: 500px;
            background: conic-gradient(transparent,
            transparent,transparent,#68D74F);
            transform: rotate(0deg);
            animation: spin 10s linear infinite;
        }  
        div::before{
            animation-delay: -5s;
        } 
    }
}
@keyframes spin {
    100%{
        transform: rotate(360deg);
    }
}

@keyframes deletewords {
    33%,
    100%{
        display:none;
    }
}
@keyframes fillwords {
    10%,100%{
        width: 0;
    }
    70%,90%{
        width: 100%;
    }
}

.animation{
    position: absolute;
    width: 100%;
    height: 100vh;
    display: flex;
    z-index: -1;
}

.animation .animation_item{
    width: 100%;
    height: 100%;
    background-color: #1E232F;
    animation: fallDown .5s ease-in-out forwards;
    transform: translateY(-600px);
    animation-delay: calc(.1s*var(--i));
}

@keyframes fallDown {
    to{
        transform: translateY(0);
        .animation{
            display: none;
        }
    }
}